# Send heartbeat

Sends a heartbeat for a session to keep it active.

Endpoint: GET /api/v1.1/sessions/{sessionId}/heartbeat
Version: v1.1
Security: AdministrationAccess, ClientAccess

## Security:

  - `AdministrationAccess` (unknown)
    http bearer JWT

  - `ClientAccess` (unknown)
    http bearer JWT

## Path parameters:

  - `sessionId` (string, required)
    UUID of the session to keep active.

## Header parameters:

  - `x-instance-id` (string)
    UUID of the instance the session is linked to. Required by requests that use a ClientAccess token.

## Response 204:

  - `204` (unknown)
    OK. The request succeeded.

## Response 400:

  - `400` (unknown)
    Bad Request. Check the request for any errors in the input.

## Response 401:

  - `401` (unknown)
    Unauthorized. Check authentication details.

## Response 404:

  - `404` (unknown)
    Resource not found. The requested resource is not available.

## Response 409:

  - `409` (unknown)
    Returned when the session is in one of the following states: FAILED, TERMINATED, or DISCONNECTED. In these cases, initiate a new session. If the session is LOCKED due to a resource conflict, retry the request. Sessions in a locked state typically become available shortly.

## Response 409 fields (application/json):

  - `message` (string)

## Response 500:

  - `500` (unknown)
    Internal Server Error. There was an internal error processing the request. If you need to contact support, please include the reference number provided in the response.

